<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Chemlight_ColorBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d71/class_chemlight___color_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Chemlight_ColorBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Chemlight_ColorBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/d71/class_chemlight___color_base.png" usemap="#Chemlight_5FColorBase_map" alt=""/>
  <map id="Chemlight_5FColorBase_map" name="Chemlight_5FColorBase_map">
<area href="../../de/d7a/class_item_base.html" alt="ItemBase" shape="rect" coords="286,0,419,24"/>
<area href="../../de/d5e/class_chemlight___blue.html" alt="Chemlight_Blue" shape="rect" coords="0,112,133,136"/>
<area href="../../d4/dee/class_chemlight___green.html" alt="Chemlight_Green" shape="rect" coords="143,112,276,136"/>
<area href="../../d5/d80/class_chemlight___red.html" alt="Chemlight_Red" shape="rect" coords="286,112,419,136"/>
<area href="../../d6/d06/class_chemlight___white.html" alt="Chemlight_White" shape="rect" coords="429,112,562,136"/>
<area href="../../dd/d8c/class_chemlight___yellow.html" alt="Chemlight_Yellow" shape="rect" coords="572,112,705,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adb8e231f493d492f84b41120ebe44ad8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#adb8e231f493d492f84b41120ebe44ad8">GetEfficiency0To1</a> ()</td></tr>
<tr class="memdesc:adb8e231f493d492f84b41120ebe44ad8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns efficiency. The value is synchronized from server to all clients and is accurate down to 0.1 units.  <a href="../../d8/d71/class_chemlight___color_base.html#adb8e231f493d492f84b41120ebe44ad8">More...</a><br /></td></tr>
<tr class="separator:adb8e231f493d492f84b41120ebe44ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8253d2fe4fbbea86fbfd2c0de2665ec7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a8253d2fe4fbbea86fbfd2c0de2665ec7">GetEfficiencyDecayStart</a> ()</td></tr>
<tr class="memdesc:a8253d2fe4fbbea86fbfd2c0de2665ec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns efficiency. The value is synchronized from server to all clients and is accurate down to 0.1 units.  <a href="../../d8/d71/class_chemlight___color_base.html#a8253d2fe4fbbea86fbfd2c0de2665ec7">More...</a><br /></td></tr>
<tr class="separator:a8253d2fe4fbbea86fbfd2c0de2665ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7b0b3c4e970c64fbc0ad591902910a8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#ab7b0b3c4e970c64fbc0ad591902910a8">OnEnergyConsumed</a> ()</td></tr>
<tr class="separator:ab7b0b3c4e970c64fbc0ad591902910a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ff7dd298b21a0c46a5796bfe7fe69cc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a5ff7dd298b21a0c46a5796bfe7fe69cc">EEHealthLevelChanged</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> oldLevel, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> newLevel, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> zone)</td></tr>
<tr class="separator:a5ff7dd298b21a0c46a5796bfe7fe69cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16f424c42efbc0be821b5320baabfc2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a16f424c42efbc0be821b5320baabfc2c">Chemlight_ColorBase</a> ()</td></tr>
<tr class="separator:a16f424c42efbc0be821b5320baabfc2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a2a15898ad633fbb0ac67855a0c504b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a3a2a15898ad633fbb0ac67855a0c504b">CreateLight</a> ()</td></tr>
<tr class="separator:a3a2a15898ad633fbb0ac67855a0c504b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeabaeb8ba92c4b8f2183cb84226bee1a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#aeabaeb8ba92c4b8f2183cb84226bee1a">OnWorkStart</a> ()</td></tr>
<tr class="separator:aeabaeb8ba92c4b8f2183cb84226bee1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9506e3760944fca07b9c3ec152eaadae"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a9506e3760944fca07b9c3ec152eaadae">OnInventoryExit</a> (Man player)</td></tr>
<tr class="separator:a9506e3760944fca07b9c3ec152eaadae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d3c8f5a974ca504e89a2f8058c7c94f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a6d3c8f5a974ca504e89a2f8058c7c94f">StandUp</a> ()</td></tr>
<tr class="separator:a6d3c8f5a974ca504e89a2f8058c7c94f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4440f19a1b65e8e678fc3530d20dec42"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a4440f19a1b65e8e678fc3530d20dec42">OnWorkStop</a> ()</td></tr>
<tr class="separator:a4440f19a1b65e8e678fc3530d20dec42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22e73e1125090c2e58d8721fed5efdc5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a22e73e1125090c2e58d8721fed5efdc5">OnWork</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> consumed_energy)</td></tr>
<tr class="separator:a22e73e1125090c2e58d8721fed5efdc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878ee05d494485453fddd50ce9070e7b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a878ee05d494485453fddd50ce9070e7b">SetActions</a> ()</td></tr>
<tr class="separator:a878ee05d494485453fddd50ce9070e7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bc01587145b39873ecfea9ff453c1e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a4bc01587145b39873ecfea9ff453c1e3">GetMaterialForDamageState</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> glowing, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> healthLevel=-1)</td></tr>
<tr class="separator:a4bc01587145b39873ecfea9ff453c1e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abc245f4efc3ce87828c5923d38eb956a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#abc245f4efc3ce87828c5923d38eb956a">m_DefaultMaterial</a></td></tr>
<tr class="separator:abc245f4efc3ce87828c5923d38eb956a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0c86a5c94f10f247019b194fdb4a0a9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#ad0c86a5c94f10f247019b194fdb4a0a9">m_GlowMaterial</a></td></tr>
<tr class="separator:ad0c86a5c94f10f247019b194fdb4a0a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd0812e4e8365f3ac26c175f28acaca2"><td class="memItemLeft" align="right" valign="top">ChemlightLight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#abd0812e4e8365f3ac26c175f28acaca2">m_Light</a></td></tr>
<tr class="separator:abd0812e4e8365f3ac26c175f28acaca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab2c92326885dc171c59bb6412ce9cd3"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#aab2c92326885dc171c59bb6412ce9cd3">m_Efficiency0To10</a></td></tr>
<tr class="separator:aab2c92326885dc171c59bb6412ce9cd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a2d08ef7d95e554ba038d5fb6e076eb4a"><td class="memItemLeft" align="right" valign="top">static private <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d71/class_chemlight___color_base.html#a2d08ef7d95e554ba038d5fb6e076eb4a">m_EfficiencyDecayStart</a> = 0.05</td></tr>
<tr class="separator:a2d08ef7d95e554ba038d5fb6e076eb4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00001">1</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a16f424c42efbc0be821b5320baabfc2c" name="a16f424c42efbc0be821b5320baabfc2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16f424c42efbc0be821b5320baabfc2c">&#9670;&#160;</a></span>Chemlight_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chemlight_ColorBase::Chemlight_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00046">46</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3a2a15898ad633fbb0ac67855a0c504b" name="a3a2a15898ad633fbb0ac67855a0c504b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a2a15898ad633fbb0ac67855a0c504b">&#9670;&#160;</a></span>CreateLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chemlight_ColorBase::CreateLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00066">66</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a5ff7dd298b21a0c46a5796bfe7fe69cc" name="a5ff7dd298b21a0c46a5796bfe7fe69cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ff7dd298b21a0c46a5796bfe7fe69cc">&#9670;&#160;</a></span>EEHealthLevelChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::EEHealthLevelChanged </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>oldLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>newLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>zone</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00039">39</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="adb8e231f493d492f84b41120ebe44ad8" name="adb8e231f493d492f84b41120ebe44ad8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb8e231f493d492f84b41120ebe44ad8">&#9670;&#160;</a></span>GetEfficiency0To1()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> Chemlight_ColorBase::GetEfficiency0To1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns efficiency. The value is synchronized from server to all clients and is accurate down to 0.1 units. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00012">12</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a8253d2fe4fbbea86fbfd2c0de2665ec7" name="a8253d2fe4fbbea86fbfd2c0de2665ec7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8253d2fe4fbbea86fbfd2c0de2665ec7">&#9670;&#160;</a></span>GetEfficiencyDecayStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> Chemlight_ColorBase::GetEfficiencyDecayStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns efficiency. The value is synchronized from server to all clients and is accurate down to 0.1 units. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00018">18</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a4bc01587145b39873ecfea9ff453c1e3" name="a4bc01587145b39873ecfea9ff453c1e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bc01587145b39873ecfea9ff453c1e3">&#9670;&#160;</a></span>GetMaterialForDamageState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Chemlight_ColorBase::GetMaterialForDamageState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>glowing</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>healthLevel</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00165">165</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="ab7b0b3c4e970c64fbc0ad591902910a8" name="ab7b0b3c4e970c64fbc0ad591902910a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7b0b3c4e970c64fbc0ad591902910a8">&#9670;&#160;</a></span>OnEnergyConsumed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::OnEnergyConsumed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00023">23</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a9506e3760944fca07b9c3ec152eaadae" name="a9506e3760944fca07b9c3ec152eaadae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9506e3760944fca07b9c3ec152eaadae">&#9670;&#160;</a></span>OnInventoryExit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::OnInventoryExit </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00106">106</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a22e73e1125090c2e58d8721fed5efdc5" name="a22e73e1125090c2e58d8721fed5efdc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22e73e1125090c2e58d8721fed5efdc5">&#9670;&#160;</a></span>OnWork()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::OnWork </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>consumed_energy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00141">141</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="aeabaeb8ba92c4b8f2183cb84226bee1a" name="aeabaeb8ba92c4b8f2183cb84226bee1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeabaeb8ba92c4b8f2183cb84226bee1a">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00100">100</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a4440f19a1b65e8e678fc3530d20dec42" name="a4440f19a1b65e8e678fc3530d20dec42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4440f19a1b65e8e678fc3530d20dec42">&#9670;&#160;</a></span>OnWorkStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::OnWorkStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00122">122</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a878ee05d494485453fddd50ce9070e7b" name="a878ee05d494485453fddd50ce9070e7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a878ee05d494485453fddd50ce9070e7b">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Chemlight_ColorBase::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00158">158</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a6d3c8f5a974ca504e89a2f8058c7c94f" name="a6d3c8f5a974ca504e89a2f8058c7c94f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d3c8f5a974ca504e89a2f8058c7c94f">&#9670;&#160;</a></span>StandUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Chemlight_ColorBase::StandUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00113">113</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="abc245f4efc3ce87828c5923d38eb956a" name="abc245f4efc3ce87828c5923d38eb956a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc245f4efc3ce87828c5923d38eb956a">&#9670;&#160;</a></span>m_DefaultMaterial</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Chemlight_ColorBase::m_DefaultMaterial</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00003">3</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="aab2c92326885dc171c59bb6412ce9cd3" name="aab2c92326885dc171c59bb6412ce9cd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab2c92326885dc171c59bb6412ce9cd3">&#9670;&#160;</a></span>m_Efficiency0To10</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Chemlight_ColorBase::m_Efficiency0To10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00008">8</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="a2d08ef7d95e554ba038d5fb6e076eb4a" name="a2d08ef7d95e554ba038d5fb6e076eb4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d08ef7d95e554ba038d5fb6e076eb4a">&#9670;&#160;</a></span>m_EfficiencyDecayStart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d4/dc3/classfloat.html">float</a> Chemlight_ColorBase::m_EfficiencyDecayStart = 0.05</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00009">9</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="ad0c86a5c94f10f247019b194fdb4a0a9" name="ad0c86a5c94f10f247019b194fdb4a0a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0c86a5c94f10f247019b194fdb4a0a9">&#9670;&#160;</a></span>m_GlowMaterial</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Chemlight_ColorBase::m_GlowMaterial</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00004">4</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<a id="abd0812e4e8365f3ac26c175f28acaca2" name="abd0812e4e8365f3ac26c175f28acaca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd0812e4e8365f3ac26c175f28acaca2">&#9670;&#160;</a></span>m_Light</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ChemlightLight Chemlight_ColorBase::m_Light</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d87/_chem_light_8c_source.html#l00006">6</a> of file <a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../d9/d87/_chem_light_8c_source.html">ChemLight.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d71/class_chemlight___color_base.html">Chemlight_ColorBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
